Loading...
Searching...
No Matches
dolfin::Timer Class Reference

`#include <Timer.h>`

## Public Member Functions

| Timer ()
| Create timer without logging.
| Timer (std::string task)
| Create timer with logging.
| ~Timer ()
| Destructor.
void | start ()
| Zero and start timer.
void | resume ()
| Resume timer. Not well-defined for logging timer.
double | stop ()
std::tuple< double, double, double > | elapsed () const

## Detailed Description

A timer can be used for timing tasks. The basic usage is

Timer timer("Assembling over cells");

The timer is started at construction and timing ends when the timer is destroyed (goes out of scope). It is also possible to start and stop a timer explicitly by

timer.start(); timer.stop();

Timings are stored globally and a summary may be printed by calling

list_timings();

## Member Function Documentation

## elapsed()

std::tuple< double, double, double > Timer::elapsed | ( |  | ) | const

Return wall, user and system time in seconds. Wall-clock time has precision around 1 microsecond; user and system around 10 millisecond.

## stop()

double Timer::stop | ( |  | ) |

Stop timer, return wall time elapsed and store timing data into logger

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/common/Timer.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/common/Timer.cpp